
Application: gvSIG desktop - gvSIG bugs #2739
Conversion between EPSG:3857 and EPSG:4326 doesn't match
07/29/2014 05:46 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2239 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: 3857, web_mercator, proj4 Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the issue:
    -  create a view and set its CRS as EPSG:3857;
    -  add an OSM layer (e.g. Mapnik) to the view;
    -  add an administrative boundaries layer defined in EPSG:4326.

Result: there's a quite consistent shift between the OSM layer and the boundaries one along the North direction (see the screenshot in
attachment).
See also #2738.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2738: EPSG:3857 Proj4 re... Closed 07/29/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2793: WMTS en 3857 no se... Closed 08/19/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 2864: Update... Closed 10/10/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2526: CRS management wit... New 05/18/2014

History
#1 - 07/29/2014 06:04 AM - Álvaro Anguix
- Related to gvSIG bugs #2738: EPSG:3857 Proj4 representation is not correct added

#2 - 07/29/2014 06:04 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/20/2014 02:58 AM - Álvaro Anguix
- Related to gvSIG bugs #2793: WMTS en 3857 no se carga added

#4 - 10/13/2014 07:14 AM - Álvaro Anguix
- Related to gvSIG feature requests #2864: Update the GDAL library added

#5 - 03/10/2015 11:40 AM - Álvaro Anguix
- Related to gvSIG bugs #2526: CRS management with OSM layers added

#6 - 01/20/2016 01:42 PM - Álvaro Anguix
- Target version set to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
- Status changed from New to Closed
It works now (2415)

#7 - 01/20/2016 04:30 PM - Antonio Falciano
- Target version changed from 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

I've just tried with build 2415 on win64 and the issue persists. Because raster layers can't be loaded yet in win (#4013 and #3848), I've replace the
above mentioned layer with shape defined in EPSG:3857 and the shift between the two layers is always there.

#8 - 01/20/2016 05:33 PM - Álvaro Anguix
- File 3857_4326.png added

In my case (2415 in Lin64) it works fine (Image attached)
Before I had the same problem that you.

#9 - 01/20/2016 05:39 PM - Antonio Falciano

Wonderful! Maybe the issue depends by the specific version of GDAL/OGR libraries used in Linux and win. There's no other explanation.

#10 - 01/22/2016 05:10 PM - Antonio Falciano
- Status changed from New to Closed

Applying the fixes provided in #4033 and #4042 in build 2415 (win x86 and x86_64), an EPSG:4326 vector layer and an EPSG:3857 one (e.g. Mapnik)
match fine this time.

#11 - 01/25/2016 10:31 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)

Files
3857_shift.png 191 KB 07/29/2014 Antonio Falciano
3857_4326.png 179 KB 01/20/2016 Álvaro Anguix
